<div class="wrapper">
  <section class="content">
    <article class="column">
      <form *ngIf="businessRequestor" class="input-group-form" [formGroup]="businessRequestor" (ngSubmit)="onSubmit(businessRequestor.values)">
        <div class="container">
          <!-- Card for Request Info-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Project Identification</h5>
            </igx-card-header>
            <igx-card-content>
              <!-- ROW -->
              <!-- Project Request Title -->
              <igx-input-group formGroupName="project">
                <input igxInput name="title" type="text" [formControl]="title" required="required" />
                <label igxLabel for="title">Project Request Title</label>
                <igx-hint position="start">Title giving a short description of the business need</igx-hint>
              </igx-input-group>
              <!-- End Project Request Title-->
              <!-- END ROW-->

              <!-- ROW -->
              <!-- Project Request Id-->
              <igx-input-group formGroupName="project">
                <input igxInput name="id" type="text" [formControl]="id" required="required" />
                <label igxLabel for="id">Project Request ID</label>
                <igx-hint position="start">The Request ID given by the Dev Team</igx-hint>
              </igx-input-group>
              <!-- End Project Request Id-->
              <!-- END ROW -->
            </igx-card-content>

            <!-- Card For Project Request Info Actions -->
            <igx-card-actions class="card-actions">
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
            <!-- End Card for Project Request Infor Actions-->
          </igx-card>

          <!-- Card for Requestor Info-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Requestor Information</h5>
            </igx-card-header>
            <igx-card-content>
              <!-- ROW -->
              <!-- Project Requestor Name -->
              <igx-input-group formGroupName="requestor">
                <input igxInput name="name" type="text" [formControl]="name" required="required" />
                <label igxLabel for="name">Requestor Name</label>
              </igx-input-group>
              <!-- End Project Requestor Name -->
              <!-- END ROW -->

              <!-- ROW -->
              <div class="form__group" formGroupName="requestor">
                <!-- Project Requestor City -->
                <igx-input-group formGroupName="site">
                  <input igxInput name="city" type="text" [formControl]="city" required="required" />
                  <label igxLabel for="city">City</label>
                </igx-input-group>
                <!-- End Project Requestor City -->

                <!-- Project Request Country -->
                <igx-input-group formGroupName="site">
                  <input igxInput name="country" type="text" [formControl]="country" required="required" />
                  <label igxLabel for="country">Country</label>
                </igx-input-group>
                <!-- End Project Request Country-->
              </div>
              <!-- END ROW -->

              <!-- ROW -->
              <div class="form__group">
                <!-- Project Requestor Phone Number -->
                <igx-input-group formGroupName="requestor">
                  <igx-prefix>+352</igx-prefix>
                  <label igxLabel for="phone">Phone</label>
                  <input igxInput name="phoneNumber" type="number" [formControl]="phoneNumber" required="required" />
                </igx-input-group>
                <!-- End Project Requestor Phone Number-->

                <!-- Project Requestor Email -->
                <igx-input-group formGroupName="requestor">
                  <label igxLabel for="email">Email</label>
                  <input igxInput name="email" type="email" [formControl]="email" required="required" />
                </igx-input-group>
                <!-- End Project Requestor Email-->
              </div>
              <!-- END ROW-->

              <!-- ROW -->
              <div class="form__group">
                <!-- Project Requestor Department Number -->
                <igx-input-group formGroupName="requestor">
                  <label igxLabel for="department">Department</label>
                  <input igxInput name="department" type="text" [formControl]="Department" required="required" />
                </igx-input-group>
                <!-- End Project Requestor Department Number-->

                <!-- Project Requestor Priority Number -->
                <igx-input-group formGroupName="requestor">
                  <label igxLabel for="priority">Requested Priority</label>
                  <input igxInput name="priority" type="text" [formControl]="Priority" required="required" />
                </igx-input-group>
                <!-- End Project Requestor Priority Number-->
              </div>
              <!-- END ROW-->
            </igx-card-content>

            <!-- Card for Requestor Info Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
            <!-- End Card for Requestor Info Actions-->
          </igx-card>

          <!-- Card for Description and Motivation-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Description and Motivation</h5>
            </igx-card-header>
            <igx-card-content>
              <!-- Project Description -->
              <igx-input-group isTextArea="true">
                <label igxLabel for="description">Description</label>
                <input igxInput name="description" type="text" [formControl]="description" />
              </igx-input-group>

              <!-- Project Business Motivation -->
              <igx-input-group formGroupName="requestor">
                <label igxLabel for="businessMotivation">Business Motivation</label>
                <input igxInput name="businessMotivation" type="text" [formControl]="businessMotivation" />
              </igx-input-group>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <!-- Card for Start and Delivery Date-->
          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Scheduling</h5>
            </igx-card-header>
            <igx-card-content>
              <div class="form__group" formGroupName="date">
                <!-- Start Date -->
                <div class="date-picker">
                  <label for="startDate">Requested Start Date</label>
                  <igx-date-picker #picker [formControl]="startDate">
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>

                <!-- End Date -->
                <div class="date-picker">
                  <label for="startDate">Requested Delivery Date</label>
                  <igx-date-picker #picker required="required" [formControl]="deliveryDate">
                    <ng-template igxDatePickerActions>
                      <div class="container action-buttons">
                        <button igxButton="flat" (click)="monthsView(picker)">months view</button>
                        <button igxButton="flat" (click)="yearsView(picker)">years view</button>
                      </div>
                    </ng-template>
                  </igx-date-picker>
                </div>
              </div>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Cost Estimates</h5>
              <h5 igxCardHeaderSubtitle>If possible, attach document as offer or detailed budget estimation.</h5>
            </igx-card-header>
            <igx-card-content>
              <!-- Hardware -->
              <igx-input-group formGroupName="costEstimate">
                <label igxLabel for="hardware">Hardware</label>
                <input igxInput name="hardware" type="text" [formControl]="hardware" required="required" />
              </igx-input-group>

              <!-- Software -->
              <igx-input-group formGroupName="date">
                <label igxLabel for="software">Software</label>
                <input igxInput name="software" type="text" [formControl]="software" required="required" />
              </igx-input-group>

              <!-- Maintenance -->
              <igx-input-group formGroupName="date">
                <label igxLabel for="maintenance">Maintenance</label>
                <input igxInput name="maintenance" type="text" [formControl]="maintenance" required="required" />
              </igx-input-group>

              <!-- Service -->
              <igx-input-group formGroupName="date">
                <label igxLabel for="service">Service</label>
                <input igxInput name="service" type="text" [formControl]="service" required="required" />
              </igx-input-group>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>ROI Calculation</h5>
              <h5 igxCardHeaderSubtitle>Explanation of ROI. If needed, use the dedicated sheet.</h5>
            </igx-card-header>
            <igx-card-content>
              <!-- ROI Calculation -->
              <igx-input-group>
                <label igxLabel for="roiCalculation">Roi Calculation</label>
                <input igxInput name="roiCalculation" type="text" [formControl]="roiCalculation" required="required" />
              </igx-input-group>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <igx-card>
            <igx-card-header>
              <h5 igxCardHeaderTitle>Comments</h5>
            </igx-card-header>
            <igx-card-content>
              <!-- Comments -->
              <igx-input-group>
                <label igxLabel for="comments">Comments</label>
                <input igxInput #isTextArea name="comments" type="text" [formControl]="comments" required="required" />
                <ng-template textArea(isTextArea)></ng-template>
              </igx-input-group>
            </igx-card-content>
            <!-- Card Actions -->
            <igx-card-actions>
              <div class="igx-card-actions__igroup--start">
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Undo</button>
                </div>
                <div class="igx-card-actions__bgroup">
                  <button igxButton igxRipple>Confirm</button>
                </div>
              </div>
            </igx-card-actions>
          </igx-card>

          <button igxButton="raised" igxRipple>Next</button>
        </div>
      </form>
    </article>
  </section>
</div>
